Bug 9605 - rotating collections permissions are wrong
Summary: rotating collections permissions are wrong
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin SOMERS
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 8836
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-13 09:28 UTC by Fridolin SOMERS
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (3.01 KB, patch)
2013-02-13 09:35 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 9605: rotating collections permissions are wrong (3.13 KB, patch)
2013-02-13 12:02 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 9605: rotating collections permissions are wrong (3.30 KB, patch)
2013-03-30 22:38 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2013-02-13 09:28:30 UTC
In tools / rotating collections, permissions are 'parameters => 1'.
But there is a dedicated permission : tools => rotating_collections.
Comment 1 Fridolin SOMERS 2013-02-13 09:35:09 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2013-02-13 11:41:33 UTC
Hi Fridolyn, while the code for rotating collections is in Koha it was deactivated last minute before release due to some security concerns. Kyle has opened a bug to resurrect it bug 8836. I have linked your bug with Kyle's.
Comment 3 Kyle M Hall 2013-02-13 12:02:16 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-03-24 21:02:15 UTC
This dependson resurrection of rotating collections which won't go in before 3.14 now.
Comment 5 Katrin Fischer 2013-03-30 22:35:53 UTC
Taking another look at this - it fixes a permission and will allow to block access to rotating collections using the right permission. So this is a bug for master.
Comment 6 Katrin Fischer 2013-03-30 22:38:31 UTC
Created attachment 17064 [details] [review]
[PASSED QA] Bug 9605: rotating collections permissions are wrong

In tools / rotating collections, permissions are 'parameters => 1'.
But there is a dedicated permission : tools => rotating_collections.

Test plan :
- Disable tools/rotating_collections permission to your connected user
- Check you dont have access to those pages :
  rotating_collections/addItems.pl
  rotating_collections/editCollections.pl
  rotating_collections/rotatingCollections.pl
  rotating_collections/transferCollection.pl
- Enable tools/rotating_collections permission to your connected user
- Check you have access to above pages

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Fixes wrong permission on rotating collection related pages.
This will allow to block access to those.
Comment 7 Jared Camins-Esakov 2013-03-31 02:11:34 UTC
This patch has been pushed to master.